extends Node2D

@onready var tilemap_rect = get_parent().get_used_rect()
@onready var tilemap_cell_size = get_parent().get_quadrant_size()
@onready var color = Color(0.0, 0.0, 0.0)

func _ready():
	set_process(true)


func _draw():
	for y in range(0, tilemap_rect.size.y + 1):
		draw_line(Vector2(0, y * tilemap_cell_size), Vector2(tilemap_rect.size.x * tilemap_cell_size, y * tilemap_cell_size), color)
	for x in range(0, tilemap_rect.size.x + 1):
		draw_line(Vector2(x * tilemap_cell_size, 0), Vector2(x * tilemap_cell_size, tilemap_rect.size.y * tilemap_cell_size), color)
